# File hectospec/Src/t_fixdir.x
# September 26, 2007
# Main program by Doug Mink, Harvard-Smithsonian Center for Astrophysics

# T_FIXDIR -- Add trailing / to directory pathname without one

procedure t_fixdir()

char	dirpath[SZ_PATHNAME], oldpath[SZ_PATHNAME]
int	ldir, strlen()
bool	verbose, clgetb()

begin
	verbose = clgetb ("verbose")
	call clgstr ("dirpath",dirpath,SZ_PATHNAME)
        ldir = strlen (dirpath)
	call strcpy (dirpath, oldpath, SZ_PATHNAME)
        if (dirpath[1] != EOS && dirpath[ldir] != '/') {
            dirpath[ldir+1] = '/'
            dirpath[ldir+2] = EOS
            }
	call clpstr ("newdir", dirpath)
	if (verbose) {
	    call printf ("FIXDIR: %s => %s\n")
		call pargstr (oldpath)
		call pargstr (dirpath)
	    }

	return
end

# Sep 13 2007	New task
# Sep 26 2007	Fix use of clgetb()
