# File procdata/Src/t_round.x
# August 24, 1995
# By Doug Mink, Center for Astrophysics

# T_ROUND -- Round a real number to a string using an SPP format.
# The value is returned as a CL parameter of type string

procedure t_round()

pointer	format, value
pointer	sp
real	rnum,clgetr()
bool	clgetb()
bool	verbose

begin
	call smark (sp)
	call salloc (format, SZ_LINE, TY_CHAR)
	call salloc (value, SZ_LINE,  TY_CHAR)

	call clgstr ("format", Memc[format], SZ_LINE)
	rnum = clgetr ("number")

	verbose = clgetb ("verbose")
	if (verbose) {
	    call printf (Memc[format])
		call pargr (rnum)
	    call printf ("\n")
	    }
	call sprintf (Memc[value],SZ_LINE,Memc[format])
	    call pargr (rnum)

	call clpstr ("value", Memc[value])
	call sfree (sp)
end
